# Configuration file
# force app and non-app endpoints on /
quarkus.http.root-path=/
quarkus.http.non-application-root-path=/

# logging
%dev.quarkus.log.console.json=false
%test.quarkus.log.console.json=false
quarkus.log.console.json.exception-output-type=FORMATTED

# By default, Swagger UI is only available when Quarkus is started in dev or test mode
quarkus.swagger-ui.always-include=true

# datasource: H2 in dev & test
quarkus.flyway.migrate-at-start=true
quarkus.datasource.db-kind=h2
quarkus.datasource.jdbc.url=jdbc:h2:mem:burger-maker

# # Use MySQL on prod
%prod.quarkus.datasource.db-kind=mysql
%prod.quarkus.datasource.jdbc.url=jdbc:mysql://${MYSQL_SERVER_HOST:localhost}:${MYSQL_SERVER_PORT:3306}/${MYSQL_DATABASE}?autoReconnect=true&useSSL=false
%prod.quarkus.datasource.username=${MYSQL_USER:quarkus}
%prod.quarkus.datasource.password=${MYSQL_PASSWORD:quarkus}
# for OpenShift
%prod.quarkus.datasource.db-version=10.3.0

quarkus.hibernate-orm.database.generation=validate

# Application configuration
application.hostname=${HOSTNAME:${HOST:local}}
